clang 8.0.0

Public Member Functions | Static Public Attributes | List of all members
clang::ento::CallDescription Class Reference

This class represents a description of a function call using the number of arguments and the name of the function. More...

`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`

Collaboration diagram for clang::ento::CallDescription:
[legend]

## Public Member Functions
| CallDescription (ArrayRef< const char *> QualifiedName, unsigned RequiredArgs=NoArgRequirement)
| Constructs a CallDescription object. More...
StringRef | getFunctionName () const
| Get the name of the function that this object matches. More...

## Static Public Attributes
static const unsigned | NoArgRequirement = std::numeric_limits<unsigned>::max()

## Detailed Description

This class represents a description of a function call using the number of arguments and the name of the function.

Definition at line 78 of file CallEvent.h.

## Constructor & Destructor Documentation

## ◆ CallDescription()

clang::ento::CallDescription::CallDescription | ( | ArrayRef< const char *> | QualifiedName,
|  | unsigned | RequiredArgs = `NoArgRequirement`
| ) |  |
| inline

Constructs a CallDescription object.

Parameters

  QualifiedName | The list of the name qualifiers of the function that will be matched. The user is allowed to skip any of the qualifiers. For example, {"std", "basic_string", "c_str"} would match both std::basic_string<...>::c_str() and std::__1::basic_string<...>::c_str().
  RequiredArgs | The number of arguments that is expected to match a call. Omit this parameter to match every occurrence of call with a given name regardless the number of arguments.

Definition at line 101 of file CallEvent.h.

## Member Function Documentation

## ◆ getFunctionName()

StringRef clang::ento::CallDescription::getFunctionName | ( |  | ) | const
| inline

Get the name of the function that this object matches.

Definition at line 106 of file CallEvent.h.

Referenced by clang::ento::CallEvent::isCalled().

## Member Data Documentation

## ◆ NoArgRequirement

const unsigned clang::ento::CallDescription::NoArgRequirement = std::numeric_limits<unsigned>::max()
| static

Definition at line 89 of file CallEvent.h.

Referenced by clang::ento::CallEvent::isCalled().

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h